Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxAtmdAccUtopiaConfig::UtTxConfig_ Struct Reference [IXP425 ATM Driver Access (IxAtmdAcc) Utopia Control API] Utopia Tx Config Register. More...
## Data Fields
unsigned int | reserved_1:1
| [31] These bits are always 0.
unsigned int | txInterface:1
| [30] Utopia Transmit Interface
unsigned int | txMode:1
| [29] Utopia Transmit Mode
unsigned int | txOctet:1
| [28] Utopia Transmit cell transfer protocol
unsigned int | txParity:1
| [27] Utopia Transmit parity enabled when set
unsigned int | txEvenParity:1
| [26] Utopia Transmit Parity Mode 1 - Even Parity Generated
unsigned int | txHEC:1
| [25] Header Error Check Insertion Mode
unsigned int | txCOSET:1
| [24] If enabled the HEC is Exclusive-ORĈed with the value 0x55 before being presented on the Utopia bus
unsigned int | reserved_2:1
| [23] These bits are always 0
unsigned int | txCellSize:7
| [22:16] Transmit expected cell size
unsigned int | reserved_3:3
| [15:13] These bits are always 0
unsigned int | txAddrRange:5
| [12:8] When configured as an ATM master in MPHY mode this register specifies the upper limit of the PHY polling logical range
unsigned int | reserved_4:3
| [7:5] These bits are always 0
unsigned int | txPHYAddr:5
| [4:0] When configured as a slave in an MPHY system this register specifies the physical address of the PHY
## Detailed Description Utopia Tx Config Register. Definition at line 944 of file IxAtmdAccCtrl.h. ## Field Documentation
unsigned int IxAtmdAccUtopiaConfig::UtTxConfig_::reserved_1
| [31] These bits are always 0. Definition at line 947 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxConfig_::reserved_2
| [23] These bits are always 0 Definition at line 985 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxConfig_::reserved_3
| [15:13] These bits are always 0 Definition at line 990 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxConfig_::reserved_4
| [7:5] These bits are always 0 Definition at line 995 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxConfig_::txAddrRange
| [12:8] When configured as an ATM master in MPHY mode this register specifies the upper limit of the PHY polling logical range The number of active PHYs are TxAddrRange + 1. Definition at line 991 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxConfig_::txCellSize
| [22:16] Transmit expected cell size Configures the cell size for the transmit module: Values between 52-64 are valid. Definition at line 987 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxConfig_::txCOSET
| [24] If enabled the HEC is Exclusive-ORĈed with the value 0x55 before being presented on the Utopia bus 1 - Enable HEC ExOR with value 0x55 0 - Use generated HEC value. Definition at line 979 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxConfig_::txEvenParity
| [26] Utopia Transmit Parity Mode 1 - Even Parity Generated 0 - Odd Parity Generated. Definition at line 970 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxConfig_::txHEC
| [25] Header Error Check Insertion Mode Specifies if the transmit cell header check byte is calculated and inserted when set. 1 - Generate HEC. 0 - Disable HEC generation. Definition at line 974 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxConfig_::txInterface
| [30] Utopia Transmit Interface The following encoding is used to set the Utopia Transmit interface as ATM master or PHY slave: 1 - PHY 0 - ATM Definition at line 948 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxConfig_::txMode
| [29] Utopia Transmit Mode The following encoding is used to set the Utopia Transmit mode to SPHY or MPHY: 1 - SPHY 0 - MPHY Definition at line 954 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxConfig_::txOctet
| [28] Utopia Transmit cell transfer protocol Used to set the Utopia cell transfer protocol to Octet-level handshaking. Note this is only applicable in SPHY mode. 1 - Octet-handshaking enabled 0 - Cell-handshaking enabled Definition at line 959 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxConfig_::txParity
| [27] Utopia Transmit parity enabled when set TxEvenParity defines the parity format odd/even. 1 - Enable Parity generation. 0 - ut_op_prty held low. Definition at line 965 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxConfig_::txPHYAddr
| [4:0] When configured as a slave in an MPHY system this register specifies the physical address of the PHY Definition at line 996 of file IxAtmdAccCtrl.h.
The documentation for this struct was generated from the following file: IxAtmdAccCtrl.h
Automatically generated from sources. © Intel Corp. 2003